| QxOrm 1.2.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions
qx::IxDataMemberX Class Reference
QxDataMember : QxOrm library data member (or property) used by introspection engine

qx::IxDataMemberX : common interface for a list of IxDataMember class properties registered into QxOrm context (for example, list of data member of a class) More...

`#include <IxDataMemberX.h>`

Inheritance diagram for qx::IxDataMemberX:

List of all members.

## Public Member Functions
IxClass * | getClass () const
void | setClass (IxClass *p)
QString | getName () const
const char * | getNamePtr () const
QString | getDescription () const
long | getVersion () const
qx::dao::strategy::inheritance | getDaoStrategy () const
long | count () const
long | size () const
bool | exist (const QString &sKey) const
IxDataMember * | get (long l) const
IxDataMember * | get (const QString &s) const
virtual IxDataMember * | getId () const =0
virtual long | count_WithDaoStrategy () const =0
virtual bool | exist_WithDaoStrategy (const QString &sKey) const =0
virtual IxDataMember * | get_WithDaoStrategy (long lIndex) const =0
virtual IxDataMember * | get_WithDaoStrategy (const QString &sKey) const =0
virtual IxDataMember * | getId_WithDaoStrategy () const =0
## Protected Member Functions
| IxDataMemberX ()
virtual | ~IxDataMemberX ()
## Protected Attributes
QxCollection< QString, IxDataMember * > | m_lstDataMember
| Collection of IxDataMember.
IxClass * | m_pClass
| Class definition.
## Private Member Functions
void | deleteAllIxDataMember ()

## Detailed Description

qx::IxDataMemberX : common interface for a list of IxDataMember class properties registered into QxOrm context (for example, list of data member of a class)

Definition at line 54 of file IxDataMemberX.h.

## Constructor & Destructor Documentation

qx::IxDataMemberX::IxDataMemberX | ( |  | ) | `[inline, protected]`

Definition at line 64 of file IxDataMemberX.h.

virtual qx::IxDataMemberX::~IxDataMemberX | ( |  | ) | `[inline, protected, virtual]`

Definition at line 65 of file IxDataMemberX.h.

## Member Function Documentation

long qx::IxDataMemberX::count | ( |  | ) | const`[inline]`

Definition at line 78 of file IxDataMemberX.h.

virtual long qx::IxDataMemberX::count_WithDaoStrategy | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxDataMemberX< T >, and qx::QxDataMemberX< type_sql >.

void qx::IxDataMemberX::deleteAllIxDataMember | ( |  | ) | `[inline, private]`

Definition at line 93 of file IxDataMemberX.h.

bool qx::IxDataMemberX::exist | ( | const QString & | sKey | ) | const`[inline]`

Definition at line 80 of file IxDataMemberX.h.

virtual bool qx::IxDataMemberX::exist_WithDaoStrategy | ( | const QString & | sKey | ) | const`[pure virtual]`

Implemented in qx::QxDataMemberX< T >, and qx::QxDataMemberX< type_sql >.

IxDataMember* qx::IxDataMemberX::get | ( | long | l | ) | const`[inline]`

Definition at line 81 of file IxDataMemberX.h.

IxDataMember* qx::IxDataMemberX::get | ( | const QString & | s | ) | const`[inline]`

Definition at line 82 of file IxDataMemberX.h.

virtual IxDataMember* qx::IxDataMemberX::get_WithDaoStrategy | ( | long | lIndex | ) | const`[pure virtual]`

Implemented in qx::QxDataMemberX< T >, and qx::QxDataMemberX< type_sql >.

virtual IxDataMember* qx::IxDataMemberX::get_WithDaoStrategy | ( | const QString & | sKey | ) | const`[pure virtual]`

Implemented in qx::QxDataMemberX< T >, and qx::QxDataMemberX< type_sql >.

IxClass* qx::IxDataMemberX::getClass | ( |  | ) | const`[inline]`

Definition at line 69 of file IxDataMemberX.h.

qx::dao::strategy::inheritance qx::IxDataMemberX::getDaoStrategy | ( |  | ) | const

QString qx::IxDataMemberX::getDescription | ( |  | ) | const

virtual IxDataMember* qx::IxDataMemberX::getId | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxDataMemberX< T >, and qx::QxDataMemberX< type_sql >.

virtual IxDataMember* qx::IxDataMemberX::getId_WithDaoStrategy | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxDataMemberX< T >, and qx::QxDataMemberX< type_sql >.

QString qx::IxDataMemberX::getName | ( |  | ) | const

const char* qx::IxDataMemberX::getNamePtr | ( |  | ) | const

long qx::IxDataMemberX::getVersion | ( |  | ) | const

void qx::IxDataMemberX::setClass | ( | IxClass * | p | ) | `[inline]`

Definition at line 70 of file IxDataMemberX.h.

long qx::IxDataMemberX::size | ( |  | ) | const`[inline]`

Definition at line 79 of file IxDataMemberX.h.

## Member Data Documentation

QxCollection<QString, IxDataMember *> qx::IxDataMemberX::m_lstDataMember`[protected]`

Collection of IxDataMember.

Definition at line 59 of file IxDataMemberX.h.

IxClass* qx::IxDataMemberX::m_pClass`[protected]`

Class definition.

Definition at line 60 of file IxDataMemberX.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDataMember/IxDataMemberX.h